:root {
    --background-color: #eeeeee;
    --foreground-color: #1f1f1f;
    --roadsign-background-color: #285c2e;
    --roadsign-foreground-color: #ffffff;
    --roadnumber-background-color: #d50000;
    --roadnumber-foreground-color: #ffffff;
    --border-radius: 0.5rem;
}

@media (prefers-color-scheme:dark) {
    :root {
        --background-color: #202020;
        --foreground-color: #ffffff;
    }
}

@font-face {
    font-family: Drogowskaz;
    src: url(Drogowskaz.ttf);
}

body {
    margin: 0;
    padding: 0;
    background: var(--background-color);
    color: var(--foreground-color);
    font-size: 1.5rem;
    min-height: 100vh;
    display: grid;
    grid-template-rows: auto 1fr auto;
    cursor: default;
}

body,
input,
button {
    font-family: Drogowskaz, Arial, Helvetica, sans-serif;
}

button {
    cursor: pointer;
}

h1,
main,
footer {
    width: 100%;
    max-width: 900px;
    padding: 0 0.6rem;
    margin: 0 auto;
}

.city-input,
.results-wrapper,
.success-city {
    background: var(--roadsign-background-color);
    border: 3px solid var(--roadsign-foreground-color);
    border-radius: var(--border-radius);
    outline: 3px solid var(--roadsign-background-color);
}

h1 {
    font-size: 4rem;
    text-align: center;
    display: inline-block;
    padding: 1rem;
}

button {
    background: none;
    color: var(--foreground-color);
    border: 2px solid var(--foreground-color);
    padding: 0.5rem;
    font-size: 1.5rem;
    border-radius: var(--border-radius);
}

nav {
    text-align: center;

    button {
        font-size: 2rem;
        padding: 1rem;
        background: none;
        border: none;
        color: var(--foreground-color);

        &.selected {
            border: 2px solid var(--foreground-color);
        }
    }
}

button:active {
    transform: translateY(0.2rem);
}

.city-input,
.success-city {
    display: block;
    margin: 0 auto;
    padding: 2rem 3rem;
    font-size: 3rem;
    border-radius: var(--border-radius);
    text-align: center;
    field-sizing: content;
    color: var(--roadsign-foreground-color);
    min-width: 8rem;
}

@keyframes shake {
    0% { transform: translateX(0px); }
    10% { transform: translateX(10px); }
    30% { transform: translateX(-10px); }
    50% { transform: translateX(10px); }
    70% { transform: translateX(10px); }
    90% {transform: translateX(0px); }
}

.shake {
    animation: shake 0.3s forwards;
    animation-timing-function: ease-in-out;
}

.city-input::-webkit-calendar-picker-indicator {
    display: none !important;
}

form p {
    text-align: center;
}

.submit {
    display: block;
    margin: 1rem auto 0 auto;
}

.results-wrapper {
    display: none;
    margin: 2rem auto;
    width: fit-content;
}

table.results {
    width: 100%;
    font-size: 3rem;
    padding: 2rem;
    border-radius: var(--border-radius);
    border-spacing: 0.5rem;
    color: var(--roadsign-foreground-color);

    .city {
        padding-right: 4rem;

        .guess-nr {
            display: inline-block;
            vertical-align: middle;
            margin-left: 1rem;
            padding: 0 0.5rem;
            min-width: 2rem;
            text-align: center;
            font-size: 2.2rem;
            border: 3px solid var(--roadnumber-foreground-color);
            background: var(--roadnumber-background-color);
            border-radius: var(--border-radius);
            color: #ffffff;
            vertical-align: 0.25rem;
        }
    }

    .distance {
        text-align: right;
    }
}

.success {
    p {
        text-align: center;
    }

    .success-city {
        width: fit-content;
    }
}

footer {
    text-align: center;
    padding: 0.5rem 0;
}